require 'info'
require 'tank'

--vars--
local screenW, screenH = love.graphics.getDimensions()
local backgroundColor = { 97, 110, 110, 255 }
local entities
-- -- --

function love.load()
  entities =
  {
    player1 = tank.makeTank(screenW/2,screenH/2)
  }
end


function love.update(dt)
  for _, entity in pairs(entities) do
    entity:update(dt)
  end
end


function love.draw()
  love.graphics.setBackgroundColor(backgroundColor)
  for _, entity in pairs(entities) do
    entity:draw(dt)
  end
end


function love.keypressed(key)
  if 'escape' == key then love.event.quit() end
  entities.player1:keypressed(key)
end

function love.keyreleased(key)
  entities.player1:keyreleased(key)
end